<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@C0D7C7=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@C00835=02</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'ON' (No Bells) PL1"> <comment>This invincibility works like all the other parodius game invincibility codes in that you can't collect bells. This helps.</comment>
    <script state="run">
      <action>maincpu.pb@C00873=01</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'OFF' (No Bells) PL1"> <comment>This disables the 'No Bells' Invincibility.</comment>
    <script state="on">
      <action>maincpu.pb@C00873=00</action>
    </script>
  </cheat>

  <cheat desc="Always Have Super Bomb PL1"> <comment>This is the Blue Bell power</comment>
    <script state="run">
      <action>maincpu.pb@C0086F=0D</action>
      <action>maincpu.pb@C00871=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have Megaphone Option PL1"> <comment>This is the White Bell power</comment>
    <script state="run">
      <action>maincpu.pb@C0086F=09</action>
      <action>maincpu.pb@C00871=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have KIKU Beam PL1"> <comment>This is the Red Bell power</comment>
    <script state="run">
      <action>maincpu.pb@C0086F=0B</action>
      <action>maincpu.pb@C00871=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have Big Option PL1"> <comment>This is the Green Bell power. It fails to activate the invincibility portion, but the (No Bells) invincibility code can compensate for this.</comment>
    <script state="run">
      <action>maincpu.pb@C0086F=0E</action>
      <action>maincpu.pb@C00871=03</action>
    </script>
  </cheat>

  <cheat desc="Can Always Shoot PL1"> <comment>Some Bell Options disable your shooting ability. This fixes at least one of them.</comment>
    <script state="run">
      <action>maincpu.pb@C00875=00</action>
    </script>
  </cheat>

  <cheat desc="Always On Upgrade PL1">
    <parameter min="0" max="7" step="1"/>
    <script state="run">
      <action>maincpu.pb@C00867=(param)</action>
    </script>
  </cheat>

  <cheat desc="Keep Speed Level 2 PL1">
    <script state="run">
      <action>maincpu.pb@C00865=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite White Bell Power PL1">
    <script state="run">
      <action>maincpu.pb@C0E8CF=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@C0D827=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@C03635=02</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'ON' (No Bells) PL2"> <comment>This invincibility works like all the other parodius game invincibility codes in that you can't collect bells. This helps.</comment>
    <script state="run">
      <action>maincpu.pb@C03673=01</action>
    </script>
  </cheat>

  <cheat desc="Invincibility 'OFF' (No Bells) PL2"> <comment>This disables the 'No Bells' Invincibility.</comment>
    <script state="on">
      <action>maincpu.pb@C03673=00</action>
    </script>
  </cheat>

  <cheat desc="Always Have Super Bomb PL2"> <comment>This is the Blue Bell power</comment>
    <script state="run">
      <action>maincpu.pb@C0366F=0D</action>
      <action>maincpu.pb@C03671=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have Megaphone Option PL2"> <comment>This is the White Bell power</comment>
    <script state="run">
      <action>maincpu.pb@C0366F=09</action>
      <action>maincpu.pb@C03671=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have KIKU Beam PL2"> <comment>This is the Red Bell power</comment>
    <script state="run">
      <action>maincpu.pb@C0366F=0B</action>
      <action>maincpu.pb@C03671=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have Big Option PL2"> <comment>This is the Green Bell power. It fails to activate the invincibility portion, but the (No Bells) invincibility code can compensate for this.</comment>
    <script state="run">
      <action>maincpu.pb@C0366F=0E</action>
      <action>maincpu.pb@C03671=03</action>
    </script>
  </cheat>

  <cheat desc="Can Always Shoot PL2"> <comment>Some Bell Options disable your shooting ability. This fixes at least one of them.</comment>
    <script state="run">
      <action>maincpu.pb@C03675=00</action>
    </script>
  </cheat>

  <cheat desc="Always On Upgrade PL2">
    <parameter min="0" max="7" step="1"/>
    <script state="run">
      <action>maincpu.pb@C03667=(param)</action>
    </script>
  </cheat>

  <cheat desc="Keep Speed Level 2 PL2">
    <script state="run">
      <action>maincpu.pb@C03665=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite White Bell Power PL2">
    <script state="run">
      <action>maincpu.pb@C0E92F=FF</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
